cmake_minimum_required(VERSION 2.8.11)

SET(UBUS_UNIX_SOCKET "/tmp/ubus.sock")
SET(UBUS_MAX_MSGLEN 1048576)

ADD_DEFINITIONS( -DUBUS_UNIX_SOCKET="${UBUS_UNIX_SOCKET}")
ADD_DEFINITIONS( -DUBUS_MAX_MSGLEN=${UBUS_MAX_MSGLEN})

set(UBUS_INCLUDE_PATH "${CMAKE_SOURCE_DIR}/3P/ubus")

include_directories(${UBUS_INCLUDE_PATH})

